Bug 244479 - shortcuts added to the desktop are not copies but symlinks to system original shortcut
shortcuts added to the desktop are not copies but symlinks to system original...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-15 19:04 EDT by Axel
Modified: 2008-06-16 21:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:36:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel 2007-06-15 19:04:59 EDT
Description of problem:
When adding a shortcut from the menu or the panel to the desktop, the newly
created shortcut is readonly.

In fact, it seems some shortcuts are symlink to /usr/share/.desktop original file.

Example : 
 ls -l /home/axel/Bureau/
total 20
lrwxrwxrwx 1 axel axel   37 jun 16 00:51 gimp-2.2.desktop ->
/usr/share/gimp/2.0/misc/gimp.desktop
-rw-r--r-- 1 axel axel 4957 mar 13 06:34 gnome-terminal.desktop
-rw-r--r-- 1 axel axel  397 jun 16 00:45 mozilla-firefox.desktop
-rw-r--r-- 1 axel axel  278 avr 19 22:40 mozilla-thunderbird.desktop
lrwxrwxrwx 1 axel axel   61 jun 16 00:56 redhat-evolution-mail.desktop ->
/usr/share/desktop-menu-patches/redhat-evolution-mail.desktop

I had this problem for the gimp (from the menu), for redhat-web, redhat-mail
shortcuts.
For others , like pidgin, gnome-screenshot, this a real file and not a symlink.
I don't know if this is gnome related, or related to each application which has
this problem.

Version-Release number of selected component (if applicable):


How reproducible:
For some applications, as far as I know : Gimp, redhat-web, redhat-mail,
redhat-evolution-mail, redhat-evolution-contacts

Steps to Reproduce:
1. From the menu or the panel, add the shortcut to the desktop.
2.
3.
  
Actual results:
Symlinks to /usr/share original file.

Expected results:
Create a copy.

Additional info:
Comment 1 Bug Zapper 2008-05-14 09:07:39 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:36:41 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.